org.gjt.sp.jedit.gui

## Class HistoryTextField

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.text.JTextComponent
        - - javax.swing.JTextField
          - - org.gjt.sp.jedit.gui.HistoryTextField

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.Scrollable, javax.swing.SwingConstants

Direct Known Subclasses:
  VFSFileNameField

    public class HistoryTextField
    extends javax.swing.JTextField

Text field with an arrow-key + drop-down accessable history.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JTextField

`javax.swing.JTextField.AccessibleJTextField`

### Nested classes/interfaces inherited from class javax.swing.text.JTextComponent

`javax.swing.text.JTextComponent.AccessibleJTextComponent, javax.swing.text.JTextComponent.DropLocation, javax.swing.text.JTextComponent.KeyBinding`

### Nested classes/interfaces inherited from class javax.swing.JComponent

`javax.swing.JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class java.awt.Container

`java.awt.Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

### Field Summary

### Fields inherited from class javax.swing.JTextField

`notifyAction`

### Fields inherited from class javax.swing.text.JTextComponent

`DEFAULT_KEYMAP, FOCUS_ACCELERATOR_KEY`

### Fields inherited from class javax.swing.JComponent

`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface javax.swing.SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`HistoryTextField()` Creates a new history text field.
`HistoryTextField(java.lang.String name)` Creates a new history text field.
`HistoryTextField(java.lang.String name, boolean instantPopups)` Creates a new history text field.
`HistoryTextField(java.lang.String name, boolean instantPopups, boolean enterAddsToHistory)` Creates a new history text field.

### Method Summary

Methods
`void` `addCurrentToHistory()` Adds the currently entered item to the history.
`void` `fireActionPerformed()` Make it public.
`boolean` `getInstantPopups()` Returns if selecting a value from the popup should immediately fire an ActionEvent.
`HistoryModel` `getModel()` Returns the underlying history model.
`protected void` `processKeyEvent(java.awt.event.KeyEvent evt)`
`protected void` `processMouseEvent(java.awt.event.MouseEvent evt)`
`boolean` `setEnterAddsToHistory()` Returns if pressing Enter should automatically add the currently entered text to the history.
`void` `setEnterAddsToHistory(boolean enterAddsToHistory)` Sets if pressing Enter should automatically add the currently entered text to the history.
`void` `setInstantPopups(boolean instantPopups)` Sets if selecting a value from the popup should immediately fire an ActionEvent.
`void` `setModel(java.lang.String name)` Sets the history list model.
`boolean` `setSelectAllOnFocus()` Returns if all text should be selected when the field gets focus.
`void` `setSelectAllOnFocus(boolean selectAllOnFocus)` Sets if all text should be selected when the field gets focus.
`void` `setText(java.lang.String text)` Sets the displayed text.

### Methods inherited from class javax.swing.JTextField

`actionPropertyChanged, addActionListener, configurePropertiesFromAction, createActionPropertyChangeListener, createDefaultModel, getAccessibleContext, getAction, getActionListeners, getActions, getColumns, getColumnWidth, getHorizontalAlignment, getHorizontalVisibility, getPreferredSize, getScrollOffset, getUIClassID, isValidateRoot, paramString, postActionEvent, removeActionListener, scrollRectToVisible, setAction, setActionCommand, setColumns, setDocument, setFont, setHorizontalAlignment, setScrollOffset`

### Methods inherited from class javax.swing.text.JTextComponent

`addCaretListener, addInputMethodListener, addKeymap, copy, cut, fireCaretUpdate, getCaret, getCaretColor, getCaretListeners, getCaretPosition, getDisabledTextColor, getDocument, getDragEnabled, getDropLocation, getDropMode, getFocusAccelerator, getHighlighter, getInputMethodRequests, getKeymap, getKeymap, getMargin, getNavigationFilter, getPreferredScrollableViewportSize, getPrintable, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedText, getSelectedTextColor, getSelectionColor, getSelectionEnd, getSelectionStart, getText, getText, getToolTipText, getUI, isEditable, loadKeymap, modelToView, moveCaretPosition, paste, print, print, print, processInputMethodEvent, read, removeCaretListener, removeKeymap, removeNotify, replaceSelection, restoreComposedText, saveComposedText, select, selectAll, setCaret, setCaretColor, setCaretPosition, setComponentOrientation, setDisabledTextColor, setDragEnabled, setDropMode, setEditable, setFocusAccelerator, setHighlighter, setKeymap, setMargin, setNavigationFilter, setSelectedTextColor, setSelectionColor, setSelectionEnd, setSelectionStart, setUI, updateUI, viewToModel, write`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HistoryTextField

    public HistoryTextField()

Creates a new history text field.

Since:
  jEdit 3.2pre5

#### HistoryTextField

    public HistoryTextField(java.lang.String name)

Creates a new history text field.

Parameters:
  `name` - The history model name

#### HistoryTextField

    public HistoryTextField(java.lang.String name,
                    boolean instantPopups)

Creates a new history text field.

Parameters:
  `name` - The history model name
  `instantPopups` - If true, selecting a value from the history popup will immediately fire an ActionEvent. If false, the user will have to press 'Enter' first
Since:
  jEdit 2.2pre5

#### HistoryTextField

    public HistoryTextField(java.lang.String name,
                    boolean instantPopups,
                    boolean enterAddsToHistory)

Creates a new history text field.

Parameters:
  `name` - The history model name
  `instantPopups` - If true, selecting a value from the history popup will immediately fire an ActionEvent. If false, the user will have to press 'Enter' first
  `enterAddsToHistory` - If true, pressing the Enter key will automatically add the currently entered text to the history.
Since:
  jEdit 2.6pre5

### Method Detail

#### setInstantPopups

    public void setInstantPopups(boolean instantPopups)

Sets if selecting a value from the popup should immediately fire an ActionEvent.

Since:
  jEdit 4.0pre3

#### getInstantPopups

    public boolean getInstantPopups()

Returns if selecting a value from the popup should immediately fire an ActionEvent.

Since:
  jEdit 4.0pre3

#### setEnterAddsToHistory

    public void setEnterAddsToHistory(boolean enterAddsToHistory)

Sets if pressing Enter should automatically add the currently entered text to the history.

Since:
  jEdit 4.0pre3

#### setEnterAddsToHistory

    public boolean setEnterAddsToHistory()

Returns if pressing Enter should automatically add the currently entered text to the history.

Since:
  jEdit 4.0pre3

#### setSelectAllOnFocus

    public void setSelectAllOnFocus(boolean selectAllOnFocus)

Sets if all text should be selected when the field gets focus.

Since:
  jEdit 4.0pre3

#### setSelectAllOnFocus

    public boolean setSelectAllOnFocus()

Returns if all text should be selected when the field gets focus.

Since:
  jEdit 4.0pre3

#### getModel

    public HistoryModel getModel()

Returns the underlying history model.

#### setModel

    public void setModel(java.lang.String name)

Sets the history list model.

Parameters:
  `name` - The model name
Since:
  jEdit 2.3pre3

#### addCurrentToHistory

    public void addCurrentToHistory()

Adds the currently entered item to the history.

#### setText

    public void setText(java.lang.String text)

Sets the displayed text.

Overrides:
  `setText` in class `javax.swing.text.JTextComponent`

#### fireActionPerformed

    public void fireActionPerformed()

Make it public.

Overrides:
  `fireActionPerformed` in class `javax.swing.JTextField`

#### processKeyEvent

    protected void processKeyEvent(java.awt.event.KeyEvent evt)

Overrides:
  `processKeyEvent` in class `javax.swing.JComponent`

#### processMouseEvent

    protected void processMouseEvent(java.awt.event.MouseEvent evt)

Overrides:
  `processMouseEvent` in class `javax.swing.JComponent`